org.apache.mina.statemachine.context

## Interface StateContextLookup

- All Known Implementing Classes:
    AbstractStateContextLookup, IoSessionStateContextLookup, SingletonStateContextLookup

      public interface StateContextLookup

  Lookups a `StateContext` from a collection of event arguments.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateContext` | `lookup(Object[] eventArgs)` Searches the arguments from an `Event` and returns a `StateContext` if any of the arguments holds one.

- - ### Method Detail

    - #### lookup

          StateContext lookup(Object[] eventArgs)

      Searches the arguments from an `Event` and returns a `StateContext` if any of the arguments holds one. NOTE! This method must create a new `StateContext` if a compatible object is in the arguments and the next time that same object is passed to this method the same `StateContext` should be returned.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.